#include "../inc/QrfeSleeper.h"
#include <QTime>


void QrfeSleeper::run()
{
}

void QrfeSleeper::MSleep ( unsigned long msecs )
{
	msleep(msecs);
}

void QrfeSleeper::MSleepAlive ( unsigned long msecs, QEventLoop::ProcessEventsFlags flags )
{
	QTime time;
	time.start();
	while(1){
		msleep(1);
		QCoreApplication::processEvents(flags);
		if((ulong)time.elapsed() >= msecs)
			return;
	}
}

